> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relay.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Get App Fee Balances

> This API returns app fee balances for a specific wallet.

[What are app fees?](/features/app-fees)


## OpenAPI

````yaml get /app-fees/{wallet}/balances
openapi: 3.0.3
info:
  title: Cross-chain solver
  version: 1.0.0
servers:
  - url: https://api.relay.link
    description: Mainnet API
  - url: https://api.testnets.relay.link
    description: Testnet API
security: []
paths:
  /app-fees/{wallet}/balances:
    get:
      parameters:
        - schema:
            type: string
          in: path
          name: wallet
          required: true
          description: Wallet to get the app fees for
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  balances:
                    type: array
                    description: An array of app fee balances across multiple currencies
                    items:
                      type: object
                      example:
                        currency:
                          chainId: 8453
                          address: '0x833589fcd6edb6e08f4c7c32d4f71b54bda02913'
                          symbol: USDC
                          name: USD Coin
                          decimals: 6
                          metadata:
                            logoURI: >-
                              https://ethereum-optimism.github.io/data/USDC/logo.png
                            verified: false
                            isNative: false
                        amount: '30754920'
                        amountFormatted: '30.75492'
                        amountUsd: '30.901612'
                        minimumAmount: '30454920'
                      properties:
                        currency:
                          type: object
                          properties:
                            chainId:
                              type: number
                            address:
                              type: string
                            symbol:
                              type: string
                            name:
                              type: string
                            decimals:
                              type: number
                            metadata:
                              type: object
                              properties:
                                logoURI:
                                  type: string
                                verified:
                                  type: boolean
                                isNative:
                                  type: boolean
                        amount:
                          type: string
                        amountFormatted:
                          type: string
                        amountUsd:
                          type: string
                        minimumAmount:
                          type: string
                  totalBalanceUsd:
                    type: number
                    description: Total app fee balance in USD across all currencies.
                  outstandingFastFillBalanceUsd:
                    type: number
                    description: >-
                      Outstanding fast fill balance in USD that has not yet
                      settled. This amount is deducted from the available
                      collateral for new fast fills and claims.
                  availableBalanceUsd:
                    type: number
                    description: >-
                      Total balance minus outstanding fast fill balance. The
                      effective collateral available for new fast fills and
                      claims.
        '400':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                properties:
                  message:
                    type: string
                    description: Descriptive error message

````